﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Data;
using System.Data.SqlClient;

namespace EasyFast.Repository.Interface
{
    public interface IRepository<T> where T : class
    {
        T GetById(int id);
        T Find(string where, string orderColumn, List<SqlParameter> parameters);

        int Add(T model);
        int Delete(int id);
        int Update(T model);

        int GetPageCount(string tableName, string where, List<SqlParameter> parameters);
        DataTable GetPageList(string tableName, string fieldNames, string where, string orderColumn, int startRecordIndex, int endRecordIndex, List<SqlParameter> parameters);
        DataTable GetDataTable(string tableName, string fieldNames, string where, string orderColumn, List<SqlParameter> parameters);
    }
}
